%global forgeurl https://github.com/NanoComp/harminv
Version:        1.4.2
%forgemeta

Name:           harminv
Release:        %autorelease
Summary:        Solver for the problem of harmonic inversion

License:        GPL-2.0-only
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc gcc-gfortran
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  openblas-devel

%description
Harminv is a free program (and accompanying library) to solve the problem of
"harmonic inversion." Given a discrete, finite-length signal that consists of
a sum of finitely-many sinusoids (possibly exponentially decaying), it
determines the frequencies, decay constants, amplitudes, and phases of those
sinusoids.

It can, in principle, provide much better accuracy than straightforward FFT
based methods, essentially because it assumes a specific form for the signal.
(Fourier transforms, in contrast, attempt to represent any data as a sum of
sinusoidal components.)

%package        libs
Summary:        Library files for %{name}

%description    libs
Library files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

# fix the linking libraries
sed -i 's/@LIBS@//g' harminv.pc.in

%build
./autogen.sh \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --enable-shared \
    --disable-static
%make_build

%install
%make_install

%check
make check

%files
%doc README.md
%{_bindir}/harminv
%{_mandir}/man1/harminv.1.gz

%files libs
%license COPYING
%{_libdir}/libharminv.so.3*

%files devel
%{_includedir}/harminv.h
%{_libdir}/libharminv.so
%{_libdir}/pkgconfig/harminv.pc

%changelog
%autochangelog
